"Important Security Update: We are temporarily suspending service for our URL shortener and bio link features to perform a system upgrade. This action is being taken to prevent ongoing misuse, and we are also disabling new registrations at this time. As part of this upgrade, all existing user accounts will be deleted, and all shortlinks removed, to ensure a clean system. Thank you for your cooperation."

Custom domains

GET https://thail.ink/api/domains/
curl --request GET \
--url 'https://thail.ink/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{ "data": [ { "id": 1, "scheme": "https://", "host": "example.com", "custom_index_url": "", "is_enabled": true, "last_datetime": null, "datetime": "2026-05-20 22:10:49" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://thail.ink/api/domains?&page=1", "last": "https://thail.ink/api/domains?&page=1", "next": null, "prev": null, "self": "https://thail.ink/api/domains?&page=1" } }
GET https://thail.ink/api/domains/{domain_id}
curl --request GET \
--url 'https://thail.ink/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "scheme": "https://", "host": "example.com", "custom_index_url": "", "is_enabled": true, "last_datetime": null, "datetime": "2026-05-20 22:10:49" } }
POST https://thail.ink/api/domains
Parameters Details Description
host Required String -
custom_index_url Optional String -
custom_not_found_url Optional String -
curl --request POST \
--url 'https://thail.ink/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{ "data": { "id": 1 } }
POST https://thail.ink/api/domains/{domain_id}
Parameters Details Description
host Optional String -
custom_index_url Optional String -
custom_not_found_url Optional String -
curl --request POST \
--url 'https://thail.ink/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{ "data": { "id": 1 } }
DELETE https://thail.ink/api/domains/{domain_id}
curl --request DELETE \
--url 'https://thail.ink/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \